import { PorjectSchema, IFileSchema } from './types';
import { IFile } from './models';
export declare abstract class Service {
    abstract loadProject(project?: PorjectSchema): Promise<PorjectSchema>;
    abstract getFile(id: string): Promise<IFileSchema>;
    abstract createFile(file: IFile): Promise<boolean>;
    abstract updateFile(file: IFile): Promise<boolean>;
    abstract removeFile(file: IFile): Promise<boolean>;
}
